# synfig::ValueNode_GradientRotate Struct Reference

`#include <valuenode_gradientrotate.h>`

Inheritance diagram for synfig::ValueNode_GradientRotate:

List of all members.

## Public Types

typedef etl::handle < ValueNode_GradientRotate > | Handle
typedef etl::handle< const ValueNode_GradientRotate > | ConstHandle

## Public Member Functions

virtual | ~ValueNode_GradientRotate ()
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_local_name (int i) const
virtual String | link_name (int i) const
virtual int | get_link_index_from_name (const String &name) const
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_GradientRotate * | create (const ValueBase &x=ValueBase::TYPE_GRADIENT)

## Protected Member Functions

| ValueNode_GradientRotate (const Gradient &x)
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)
LinkableValueNode * | create_new () const

## Member Typedef Documentation

typedef etl::handle<ValueNode_GradientRotate> synfig::ValueNode_GradientRotate::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_GradientRotate> synfig::ValueNode_GradientRotate::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

synfig::ValueNode_GradientRotate::ValueNode_GradientRotate | ( | const Gradient & | x | ) | `[protected]`

References synfig::ValueNode_Const::create(), DCAST_HACK_ENABLE, and synfig::LinkableValueNode::set_link().

Referenced by create(), and create_new().

synfig::ValueNode_GradientRotate::~ValueNode_GradientRotate | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

ValueNode::LooseHandle ValueNode_GradientRotate::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_GradientRotate::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_GradientRotate::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

String ValueNode_GradientRotate::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_GradientRotate::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

synfig::ValueBase synfig::ValueNode_GradientRotate::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References synfig::Gradient::begin(), and synfig::Gradient::end().

String ValueNode_GradientRotate::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_GradientRotate::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

bool ValueNode_GradientRotate::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, link_count(), synfig::ValueBase::TYPE_GRADIENT, and synfig::ValueBase::TYPE_REAL.

LinkableValueNode * ValueNode_GradientRotate::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

References ValueNode_GradientRotate().

bool ValueNode_GradientRotate::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_GRADIENT.

ValueNode_GradientRotate * ValueNode_GradientRotate::create | ( | const ValueBase & | x = `ValueBase::TYPE_GRADIENT` | ) | `[static]`

References _, synfig::ValueBase::get(), synfig::ValueNode::get_type(), synfig::ValueBase::get_type(), synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::type_local_name(), and ValueNode_GradientRotate().

The documentation for this struct was generated from the following files:

- valuenode_gradientrotate.h
- valuenode_gradientrotate.cpp